Bug Hunting Session
Bug 78431 - ImplWindowFrameProc ...
Summary: ImplWindowFrameProc ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.2.4.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2014-05-08 12:30 UTC by Michael Meeks
Modified: 2016-10-25 19:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2014-05-08 12:30:40 UTC
It seems that the 'SalFrame' method on ImplWindowFrameProc is no longer necessary:

bool ImplWindowFrameProc( Window* pWindow, SalFrame* /*pFrame*/,
                          sal_uInt16 nEvent, const void* pEvent )

We should see if we can remove that parameter from the VCL code - including the SetCallback method, cf.

vcl/inc/salframe.hxx:    void    SetCallback( Window* pWindow, SALFRAMEPROC pProc )

in the SALFRAMEPROC definition - and clean that up.

Thanks ! =)
Comment 1 QA Administrators 2015-06-08 14:42:40 UTC Comment hidden (obsolete)
Comment 2 Robinson Tryon (qubit) 2015-12-10 11:40:58 UTC Comment hidden (obsolete)
Comment 3 Xisco Faulí 2016-01-15 18:54:56 UTC
Commit summited to gerrit: https://gerrit.libreoffice.org/#/c/21497/
Comment 4 Commit Notification 2016-01-16 17:09:52 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb71841a31404fdbe4df76d9473ee73c2fa8554b

tdf#78431: Clean up pFrame parameter in ImplWindowFrameProc

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Meeks 2016-01-16 22:21:13 UTC
Thanks Xisco - looks lovely =) can you close the bug if you're done :-)
Comment 6 Robinson Tryon (qubit) 2016-02-18 16:37:25 UTC Comment hidden (obsolete)